CMSIS-NN: arm_nnword Union Reference

| CMSIS-NN Version 1.3.0 CMSIS NN Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Enumerations Enumerator Macros Groups Pages
Data Fields
arm_nnword Union Reference

Union for SIMD access of q31/q15/q7 types.

## Data Fields

q31_t | word
q15_t | half_words [2]
q7_t | bytes [4]

## Field Documentation

q7_t arm_nnword::bytes[4]

q7 type

Referenced by arm_depthwise_separable_conv_HWC_q7(), and arm_depthwise_separable_conv_HWC_q7_nonsquare().

q15_t arm_nnword::half_words[2]

q15 type

Referenced by arm_convolve_HWC_q7_RGB().

q31_t arm_nnword::word

q31 type

Referenced by arm_convolve_HWC_q7_RGB(), arm_depthwise_separable_conv_HWC_q7(), and arm_depthwise_separable_conv_HWC_q7_nonsquare().